Page MenuHomeFreeBSD

lang/hugs: Workaround 12-CURRENT fallout
ClosedPublic

Authored by arrowd on Feb 3 2018, 8:07 PM.

Details

Summary

runhugs binary crashes when compiled with -O2 on i386 12-CURRENT system. Workaround it by compiling with -O0.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

arrowd created this revision.Feb 3 2018, 8:07 PM
swills added a subscriber: swills.Feb 5 2018, 7:46 PM
swills added inline comments.
lang/hugs/Makefile
28 ↗(On Diff #38824)

If this is only needed on 12-CURRENT then check OSVERSION > 1200056 or whatever as well.

mat added inline comments.Feb 5 2018, 10:55 PM
lang/hugs/Makefile
26 ↗(On Diff #38824)

ARCH is not defined at that point of the Makefile.

arrowd updated this revision to Diff 38956.Feb 6 2018, 6:55 PM

Constrain workaround to FreeBSD 12 only.

arrowd marked an inline comment as done.Feb 6 2018, 6:55 PM
arrowd added inline comments.
lang/hugs/Makefile
26 ↗(On Diff #38824)

Hum, it worked for me as it is. Should I include <bsd.options.mk> then, or something else?

arrowd updated this revision to Diff 39715.Feb 25 2018, 7:36 PM
  • Include bsd.port.pre.mk to be able to use ${ARCH}
arrowd marked an inline comment as done.Feb 25 2018, 7:37 PM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 28 2018, 10:54 AM
This revision was automatically updated to reflect the committed changes.